"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CannedResponseDto = exports.cannedResponseSchema = void 0;
const translate_1 = require("../../i18n/translate");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = require("zod");
exports.cannedResponseSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: (0, translate_1.translate)('model.canned-response.id.uuid'),
    }),
    name: zod_1.z.string().min(1, {
        message: (0, translate_1.translate)('model.canned-response.name.min'),
    }),
    content: zod_1.z.string().min(1, {
        message: (0, translate_1.translate)('model.canned-response.content.min'),
    }),
    created_at: zod_1.z.date(),
    updated_at: zod_1.z.date(),
});
class CannedResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.cannedResponseSchema) {
}
exports.CannedResponseDto = CannedResponseDto;
//# sourceMappingURL=canned-response.dto.js.map