import z from 'zod';
export declare const getByIdEventResponseSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodDate;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, {
    subEvents: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        date: z.ZodDate;
        location: z.ZodString;
        folderId: z.ZodNullable<z.ZodString>;
        tagAssistedId: z.ZodString;
        tagConfirmedId: z.ZodString;
        supraEventId: z.ZodNullable<z.ZodString>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        location: string;
        id: string;
        name: string;
        date: Date;
        created_at: Date;
        updated_at: Date;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }, {
        location: string;
        id: string;
        name: string;
        date: Date;
        created_at: Date;
        updated_at: Date;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }>, "many">;
    supraEvent: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        date: z.ZodDate;
        location: z.ZodString;
        folderId: z.ZodNullable<z.ZodString>;
        tagAssistedId: z.ZodString;
        tagConfirmedId: z.ZodString;
        supraEventId: z.ZodNullable<z.ZodString>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        location: string;
        id: string;
        name: string;
        date: Date;
        created_at: Date;
        updated_at: Date;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }, {
        location: string;
        id: string;
        name: string;
        date: Date;
        created_at: Date;
        updated_at: Date;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }>>;
}>, "strip", z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    subEvents: {
        location: string;
        id: string;
        name: string;
        date: Date;
        created_at: Date;
        updated_at: Date;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }[];
    supraEvent: {
        location: string;
        id: string;
        name: string;
        date: Date;
        created_at: Date;
        updated_at: Date;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    } | null;
}, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    subEvents: {
        location: string;
        id: string;
        name: string;
        date: Date;
        created_at: Date;
        updated_at: Date;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }[];
    supraEvent: {
        location: string;
        id: string;
        name: string;
        date: Date;
        created_at: Date;
        updated_at: Date;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    } | null;
}>;
declare const GetByIdEventResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    subEvents: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        date: z.ZodString;
        location: z.ZodString;
        folderId: z.ZodNullable<z.ZodString>;
        tagAssistedId: z.ZodString;
        tagConfirmedId: z.ZodString;
        supraEventId: z.ZodNullable<z.ZodString>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        location: string;
        id: string;
        name: string;
        date: string;
        created_at: string;
        updated_at: string;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }, {
        location: string;
        id: string;
        name: string;
        date: string;
        created_at: string;
        updated_at: string;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }>, "many">;
    supraEvent: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        date: z.ZodString;
        location: z.ZodString;
        folderId: z.ZodNullable<z.ZodString>;
        tagAssistedId: z.ZodString;
        tagConfirmedId: z.ZodString;
        supraEventId: z.ZodNullable<z.ZodString>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        location: string;
        id: string;
        name: string;
        date: string;
        created_at: string;
        updated_at: string;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }, {
        location: string;
        id: string;
        name: string;
        date: string;
        created_at: string;
        updated_at: string;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }>>;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    subEvents: {
        location: string;
        id: string;
        name: string;
        date: string;
        created_at: string;
        updated_at: string;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }[];
    supraEvent: {
        location: string;
        id: string;
        name: string;
        date: string;
        created_at: string;
        updated_at: string;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    } | null;
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    subEvents: {
        location: string;
        id: string;
        name: string;
        date: string;
        created_at: string;
        updated_at: string;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    }[];
    supraEvent: {
        location: string;
        id: string;
        name: string;
        date: string;
        created_at: string;
        updated_at: string;
        folderId: string | null;
        tagAssistedId: string;
        tagConfirmedId: string;
        supraEventId: string | null;
    } | null;
}>>;
export declare class GetByIdEventResponseDto extends GetByIdEventResponseDto_base {
}
export declare const getBySupraEventResponseSchema: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodDate;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, {
    tagAssisted: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }>;
    tagConfirmed: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }>;
}>, "strip", z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    tagAssisted: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    };
    tagConfirmed: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    };
}, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    tagAssisted: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    };
    tagConfirmed: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    };
}>, "many">;
declare const GetBySupraEventResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodArray<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    tagAssisted: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }>;
    tagConfirmed: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }>;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    tagAssisted: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    };
    tagConfirmed: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    };
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    tagAssisted: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    };
    tagConfirmed: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    };
}>, "many">>;
export declare class GetBySupraEventResponseDto extends GetBySupraEventResponseDto_base {
}
export {};
