"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindAllProfileResponseDto = exports.findAllProfileResponseSchema = void 0;
const profile_dto_1 = require("./profile.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("../../tag-group/dto/tag-group.dto");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.findAllProfileResponseSchema = zod_1.default.object({
    profiles: zod_1.default.array(profile_dto_1.profileSchema.merge(zod_1.default.object({
        tags: zod_1.default.array(tag_dto_1.tagSchema.merge(zod_1.default.object({
            group: tag_group_dto_1.tagGroupSchema.pick({
                color: true,
                isExclusive: true,
            }),
        }))),
    }))),
});
class FindAllProfileResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findAllProfileResponseSchema) {
}
exports.FindAllProfileResponseDto = FindAllProfileResponseDto;
//# sourceMappingURL=find-all-profile.dto.js.map