"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindWithActiveChatResponseDto = exports.findWithActiveChatResponseSchema = void 0;
const message_dto_1 = require("../../message/dto/message.dto");
const profile_dto_1 = require("./profile.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.findWithActiveChatResponseSchema = zod_1.default.object({
    profiles: zod_1.default.array(profile_dto_1.profileSchema.merge(zod_1.default.object({
        tags: zod_1.default.array(tag_dto_1.tagSchema),
        inChat: zod_1.default.boolean(),
        messages: zod_1.default.array(message_dto_1.messageSchema.pick({
            state: true,
            message: true,
            created_at: true,
        })),
    }))),
});
class FindWithActiveChatResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findWithActiveChatResponseSchema) {
}
exports.FindWithActiveChatResponseDto = FindWithActiveChatResponseDto;
//# sourceMappingURL=find-with-active-chat.dto.js.map