import z from 'zod';
export declare const profileSchema: z.ZodObject<{
    id: z.ZodString;
    shortId: z.ZodNumber;
    phoneNumber: z.ZodEffects<z.ZodString, string, string>;
    secondaryPhoneNumber: z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>;
    fullName: z.ZodString;
    firstName: z.ZodNullable<z.ZodString>;
    gender: z.ZodNullable<z.ZodString>;
    birthDate: z.ZodNullable<z.ZodPipeline<z.ZodString, z.ZodDate>>;
    profilePictureUrl: z.ZodNullable<z.ZodString>;
    instagram: z.ZodNullable<z.ZodString>;
    mail: z.ZodNullable<z.ZodString>;
    dni: z.ZodNullable<z.ZodString>;
    alternativeNames: z.ZodArray<z.ZodString, "many">;
    birthLocationId: z.ZodNullable<z.ZodString>;
    residenceLocationId: z.ZodNullable<z.ZodString>;
    isInTrash: z.ZodBoolean;
    movedToTrashDate: z.ZodNullable<z.ZodDate>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    created_at: Date;
    updated_at: Date;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: Date | null;
    instagram: string | null;
    mail: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: Date | null;
}, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    created_at: Date;
    updated_at: Date;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: string | null;
    instagram: string | null;
    mail: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: Date | null;
}>;
